await seam.thermostats.setTemperatureThreshold({
device_id: "a9b52627-e6e2-4beb-9168-964749f7bbae",
lower_limit_fahrenheit: 60,
upper_limit_fahrenheit: 80,
});
/*
// void
*/{}Set a Temperature Threshold
Sets a temperature threshold for a specified thermostat. Seam API reference: PATCH /thermostats/set_temperature_threshold.
await seam.thermostats.setTemperatureThreshold({
device_id: "a9b52627-e6e2-4beb-9168-964749f7bbae",
lower_limit_fahrenheit: 60,
upper_limit_fahrenheit: 80,
});
/*
// void
*/{}thermostat.temperature_threshold_exceeded event and adds a warning on a thermostat if it reports a temperature outside the threshold range.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
ID of the thermostat device for which you want to set a temperature threshold.
Lower temperature limit in in °C. Seam alerts you if the reported temperature is lower than this value. You can specify either lower_limit but not both.
Lower temperature limit in in °F. Seam alerts you if the reported temperature is lower than this value. You can specify either lower_limit but not both.
Upper temperature limit in in °C. Seam alerts you if the reported temperature is higher than this value. You can specify either upper_limit but not both.
Upper temperature limit in in °C. Seam alerts you if the reported temperature is higher than this value. You can specify either upper_limit but not both.
Response
OK
The response is of type object.
Was this page helpful?